Bug 459113 - TurboGears requires wrong CherryPy version
TurboGears requires wrong CherryPy version
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: TurboGears (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 10:39 EDT by Ralf Ertzinger
Modified: 2016-09-19 22:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-16 23:36:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Ertzinger 2008-08-14 10:39:13 EDT
Description of problem:
TurboGears, in /usr/lib/python2.5/site-packages/TurboGears-1.0.4.4-py2.5.egg-info/requires.txt states:

CherryPy >= 2.3.0,<3.0.0alpha

This effectively prevents any TG project from starting, as the CherryPy shipped in Rawhide is 3.0.2 (or thereabouts)

Version-Release number of selected component (if applicable):
TurboGears-1.0.4.4-3.fc10

How reproducible:
Always

Steps to Reproduce:
1. Create a new TG project
2. try to start it
3.
  
Actual results:
scary looking python backtrace

Expected results:
started project

Additional info:
Comment 1 Felix Schwarz 2008-08-14 14:25:57 EDT
Fedora ships python-cherrypy (which has cherrypy 3) and python-cherrypy2. I don't have a rawhide system available currently but the TurboGears spec file [1] states  that the package requires python-cherrypy2 explicitly. The generated TurboGears rpm in /development has the correct requires.

Is python-cherrypy installed on your machine too? Did you try to remove python-cherrypy (if installed) and install python-cherrypy2 with yum?

For parallel installations of CherrPy 2+3, see [2].

[1] http://cvs.fedoraproject.org/viewcvs/devel/TurboGears/TurboGears.spec?rev=1.38&view=auto
[2] http://cvs.fedoraproject.org/viewcvs/rpms/python-cherrypy2/F-9/README.fedora?view=markup
Comment 2 Ralf Ertzinger 2008-08-14 15:14:12 EDT
Right, I had python-cherrypy and python-cherrypy2 installed (for reasons I can't fathom right now).

Removing python-cherrypy fixed things. Thanks!
Comment 3 Toshio Kuratomi 2008-09-16 23:36:54 EDT
Thanks guys!

Note You need to log in before you can comment on or make changes to this bug.